#
# Copyright (c) 2000 Shalabh Chaturvedi
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


__doc__ = """iTrack Product Initialization Module"""
__version__ = '0.2.0'

import iTrack
from App.ImageFile import ImageFile

misc_ = {'followup_icon.gif':ImageFile('followup_icon.gif',globals())}

def initialize(context):
	try:
		context.registerClass( 
			iTrack.Issue,
			constructors = (
				iTrack.manage_addIssueForm,
				iTrack.manage_addIssue),
			icon='issue_icon.gif'
			)
		context.registerClass( 
			iTrack.iTrackConfig,
			constructors = (
				iTrack.manage_addiTrackConfigForm,
				iTrack.manage_addiTrackConfig),
			icon='control_icon.gif'
			)
			
			
	except:
		import sys,traceback,string
		type, val, tb = sys.exc_info()
                sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
                del type, val, tb